/**
  ******************************************************************************
  * @file    user_config.h
  * @author  sinomcu.com-AE
  * @brief   Header file of user config.
  * 
  ******************************************************************************
  * @attention 
  *                           DISCLAIMER
  * The present firmware which is for guidance only aims at providing customers
  * with coding information regarding their products in order for them to save
  * time. As a result, sinomcu.com shall not be held liable for any direct,indirect
  * or consequential damages with respect to any claims arising from the content 
  * of such firmware and/or the use made by customers of the coding information 
  * contained herein in connection with their products.
  *
  * <h2><center>&copy; Copyright (c) 2021 sinomcu.com All rights reserved.</center></h2>
  *
  ******************************************************************************
 */
// <<< Use Configuration Wizard in Context Menu >>>
#ifndef __USER_CONFIG_H
#define __USER_CONFIG_H

// <o> Baud Rate
// <i> select baud rate
// <0=>    38400
// <1=>    576000
// <2=>    115200
#define BAUD_RATE_SELECT    2        

#if (BAUD_RATE_SELECT == 2) 
#define BAUD_RATE 115200
#define ONE_BIT_DELAY_US   10     /* unit us */  
#elif (BAUD_RATE_SELECT == 1) 
#define BAUD_RATE 57600
#define ONE_BIT_DELAY_US   18     /* unit us */  
#else
#define BAUD_RATE 38400
#define ONE_BIT_DELAY_US   26     /* unit us */  
#endif

#define SLAVE_NUM        2

//  <o> Slave1 ADD
//  <i> Slave1 address
#define SLAVE1_ADD       25

//  <o> Slave2 ADD
//  <i> Slave2 address
#define SLAVE2_ADD       28


// <c1> Printf to USART
// <i> Retargets printf to USART
#define EN_PRINT_UART   1         /* 1:Retargets printf to USART,0 or not define:printf null out*/
// </c>

// <o> Virtual Uart Baud Rate
// <i> select virtual uart baud rate
// <0=>    9600
// <1=>    38400
// <2=>    115200
#define VIRTUAL_UART_BAUD_SELECT  1        

#if (VIRTUAL_UART_BAUD_SELECT == 2) 
#define VIRTUAL_UART_BAUD 115200 
#elif (VIRTUAL_UART_BAUD_SELECT == 1) 
#define VIRTUAL_UART_BAUD 38400
#else
#define VIRTUAL_UART_BAUD 9600
#endif

#define  Debug_Log    printf

#endif /* __USER_CONFIG_H */
// <<< end of configuration section >>>
/******************************** END OF FILE ******************************** */
